import type { ExtractPropTypes } from 'vue';
import type GroupTitle from './group-title.vue';
export declare const titleLevel: readonly ["H1", "H2", "H3", "H4", "H5", "H6", "custom"];
export declare const fontWeight: readonly ["300", "400", "500", "600", "700", "800", "900"];
export declare const groupTitleProps: {
    readonly iconName: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly iconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 24, boolean>;
    readonly iconColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "var(--default-icon)", boolean>;
    readonly iconSpace: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 4, boolean>;
    readonly groupTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "分组标题", boolean>;
    readonly tip: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly tipSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 16, boolean>;
    readonly isWhiteBg: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly description: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly titleLevel: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "H1" | "H2" | "H3" | "H4" | "H5" | "H6" | "custom", unknown, "H2", boolean>;
    readonly titleFontSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 22, boolean>;
    readonly titleWeight: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "500" | "300" | "400" | "600" | "700" | "800" | "900", unknown, "700", boolean>;
    readonly titleLineHeight: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, 1.4, boolean>;
    readonly titleColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "#1D2129", boolean>;
    readonly showDivider: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly dividerColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "var(--color-split)", boolean>;
    readonly dividerSpace: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 18, boolean>;
    readonly tagSlot: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly rightOperateSlot: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
};
export type GroupTitleProps = ExtractPropTypes<typeof groupTitleProps>;
export type GroupTitleInstance = InstanceType<typeof GroupTitle>;
